
*** Settings ***
Library     BuiltIn
Library     OperatingSystem
Library     JSONSchemaLibrary           schemas/
Resource    ExampleAPIKeywords.robot

*** Test Cases ***

Get Resource 200
    [Documentation]
    ... Test case: TC_RESOURCE_GET_200
    ${resource}                           ${response} =            getResoure    1
    Should Be Equal                       ${response['status']}    200
    Should Be Equal                       ${resource['id']}        1

Post Resource 204
    [Documentation]
    ... Test case: TC_RESOURCE_POST_204
    ${resource} =                          Get File                 data/resourceData1.json
    ${response} =                          postResource             ${resource}
    Should Be Equal                        ${response['status']}    204
